#!/usr/bin/env python
# -*- coding: utf-8 -*-

import numpy as np                                     
import shtns
lmax = 26
mmax=lmax
sht = shtns.sht(lmax, mmax)
nlats, nlons = sht.set_grid()
theta_vals = np.arccos(sht.cos_theta)
phi_vals = (2.0*np.pi/nlons)*np.arange(nlons)
phi, theta = np.meshgrid(phi_vals, theta_vals)

vtheta = np.ones_like(phi)
vphi = np.ones_like(phi)

vpsi_lm, vphi_lm = sht.analys(vtheta,vphi) 
utheta, uphi = sht.synth(vpsi_lm,vphi_lm)

print((utheta-vtheta).max())
print((uphi-vphi).max())
